<?php
/*
 * Developer: Michael Jacky
 * Team site: http://vnextensions.com/
 * Support: http://support.vnextensions.com/
 * 
 */
abstract class Glace_Glacesys_Abstract_Model extends Mage_Core_Model_Abstract 
implements Glace_Glacesys_Abstract_Model_Interface
{
    /**
     * @var string
     */
    protected $_objectUid;
    
    /**
     * @return string
     */
    public function getObjectUid()
    {
        if (!$this->_objectUid) {
            $this->_objectUid = md5(uniqid(microtime()));
        }
        return $this->_objectUid;
    }
    
    /**
     * @return Glace_Glacesys_Abstract_Service
     */
    public function tool()
    {
        return Glace_Glacesys_Abstract_Service::get($this);
    }
    
    /**
     * @param string $const Constant name
     * @param bool $translate
     * @param array $args
     * 
     * @return string
     */
    protected function _strHelper($const, $translate = true, $args = array())
    {
        return $this->_aithelper('Strings')->getString($const, $translate, $args);
    }
    
    /**
     * @param string $type
     * 
     * @return Glace_Glacesys_Abstract_Helper
     */
    protected function _aithelper($type = 'Data')
    {
        return $this->tool()->getHelper($type);
    }
}