<?php
/*
 * Developer: Michael Jacky
 * Team site: http://vnextensions.com/
 * Support: http://support.vnextensions.com/
 * 
 */
class Glace_Glacesys_Model_Mysql4_News extends Glace_Glacesys_Abstract_Mysql4
{
    protected function _construct()
    {
        $this->_init('glacesys/news','entity_id');
    }
    
    /**
     * @return Glace_Glacesys_Model_Notification_News
     */
    public function getLatest( $type )
    {
        return $this->_getNewsCollection()
            ->addTypeFilter($type)
            ->addOrder('date_added')
            ->getLastItem();
    }
    
    /**
     * @param Glace_Glacesys_Model_Mysql4_News
     */
    public function clear( $type )
    {
        $this->_getWriteAdapter()->query("DELETE FROM `{$this->getMainTable()}` WHERE `type` = ?",array($type));
        return $this;
    }
    
    /**
     * @return Glace_Glacesys_Model_Mysql4_News_Collection
     */
    protected function _getNewsCollection()
    {
        return Mage::getResourceModel('glacesys/news_collection');
    }
}